%define ver      0.1
%define rel      1
%define name	 liblumiere

Summary: Media player GtkWidget
Name: %name
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Multimedia
Source: http://savannah.nongnu.org/download/lumiere/liblumiere-%{ver}.tar.gz
BuildRoot: %{_tmppath}/liblumiere-%{PACKAGE_VERSION}-root
Packager: Stephane Konstantaropoulos <stephanek@brutele.be>
URL:		http://www.nongnu.org/lumiere

%description
Liblumiere, a GtkWidget that embeds Xine

%package devel
Summary: Media player GtkWidget
Group: Development/Libraries
Requires: pkgconfig >= 1:0.8
AutoReqProv: yes 
%description devel
The liblumiere-devel package includes the header files for 
the lumiere library. 

%prep
%setup -q

%build
%configure --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/liblumiere/*

%find_lang liblumiere

%clean
rm -rf $RPM_BUILD_ROOT

%files -f liblumiere.lang
%defattr(-,root,root)
%doc README TODO COPYING ChangeLog
%{_libdir}/liblumiere.so.*
%{_datadir}/liblumiere/

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Thu Apr 14 2005 Stephane K. <stephane@cs.york.ac.uk> - 0.1
- first go
